RKOPENROMA(3)

NAME
RkOpenRoma - open the dictionary to use for Romaji-kana conversion

SYNOPSIS
#include <canna/RK.h>
struct RkRxDic RkOpenRoma(filename)
char *filename;

DESCRIPTION
Romaji-kana conversion is effected by using a Romaji-kana conversion table created by mkromdic(1). RkOpenRoma opens this Romaji-kana conversion table. filename names the Romaji-kana conversion table file.

RETURN VALUE
This function returns a pointer to the Romaji-kana conversion table if it has successfully been opened; otherwise, it returns NULL. This pointer must be passed to the Romaji-kana conversion functions.

SEE ALSO
RkCloseRoma(3), mkromdic(1)